Package: org.gradle.nativeplatform

## [Java] Interface PrebuiltSharedLibraryBinary

- org.gradle.nativeplatform.NativeBinary

- All Superinterfaces:
    Binary, NativeLibraryBinary, SharedLibraryBinary, NativeBinary

  A shared library that exists at a known location on the filesystem.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `setSharedLibraryFile(File sharedLibraryFile)` The shared library file.
    `void` | `setSharedLibraryLinkFile(File sharedLibraryLinkFile)` The shared library link file.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface SharedLibraryBinary` | `getSharedLibraryFile, getSharedLibraryLinkFile`
    `interface NativeLibraryBinary` | `getHeaderDirs, getLinkFiles, getRuntimeFiles`
    `interface NativeBinary` | `getBuildType, getFlavor, getTargetPlatform`
    `interface Binary` | `getDisplayName`

- - ### Method Detail

    - #### public void setSharedLibraryFile(File sharedLibraryFile)

      The shared library file.

    - #### public void setSharedLibraryLinkFile(File sharedLibraryLinkFile)

      The shared library link file.